#!/bin/bash

dirname=$(dirname $0)

. ${dirname}/fhgfs_setup.defaults


RELEASE_URL="http://www.fhgfs.com/release/preview-2010.11/packages"

tmpFile=/tmp/fhgfs_setup.tmp
packdir=${dirname}/rpms

function download() {
   if [ "$1" != "" ]
   then
      export http_proxy=$1
   fi
   echo $1
   baseUrl=${RELEASE_URL}
   
   distris="suse redhat debian"
   
   cd ${packdir}
   for dist in ${distris}
   do
      eval wget $wgetParameters ${baseUrl}/${dist} -O $tmpFile
      if [ $? -ne 0 ]; then return 1; fi
      packs=$(grep -oE "<[A|a] [H|h][R|r][E|e][F|f]=.*.rpm\">|<[A|a] [H|h][R|r][E|e][F|f]=.*.deb\">" $tmpFile | sed 's/<[A|a] [H|h][R|r][E|e][F|f]=\"//' | sed 's/\">//')
      for pack in ${packs}
      do
         echo "Downloading ${pack}"
         eval wget $wgetParameters -r -nd -np -A *.rpm,*.deb -o ${tmpFile} ${baseUrl}/${dist}/${pack} #2>&1
         if [ $? -ne 0 ]; then return 1; fi
      done
      
   done
   echo ""
   echo "Finished!"
   rm $tmpFile
   cd ..
   return 0
}

download $1
if [ $? -ne 0 ]
then
   exit 1
else
   exit 0
fi
